# Class FakeCacheService

Namespace
  adas_core.Test.Services

Assembly
  adas-core.Test.dll

Represents a fake implementation of CacheService that also implements the ICacheService interface, typically used for testing or stubbing scenarios.

    public class FakeCacheService : CacheService, ICacheService

Inheritance
  object
  CacheService
  FakeCacheService

Implements
  ICacheService

Inherited Members
  CacheService.GetOrSetObjectAsync<T>(string, Func<Task<T>>, TimeSpan?, CancellationToken)
  CacheService.GetOrSetValueAsync(string, Func<Task<string>>, TimeSpan?)
  CacheService.GetOrSetObjectAsync<T>(GroupedField, ObjectId, Func<Task<T>>, TimeSpan?, CancellationToken)
  CacheService.SetValue(string, string)
  CacheService.GetValue(string)
  CacheService.GetObjectAsync<T>(string, bool)
  CacheService.SetObjectAsync<T>(string, T, bool)
  CacheService.GetObjectAsync<T>(string, TimeSpan?, bool)
  CacheService.SetObjectAsync<T>(string, T, TimeSpan?, bool)
  CacheService.DeleteObjectAsync(string)
  CacheService.DeleteByPatternAsync(string)
  CacheService.CleanCache()
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This class combines inheritance from the concrete CacheService base class with the ICacheService contract, allowing it to be used wherever an ICacheService is required.

## Constructors

### FakeCacheService()

    public FakeCacheService()

## Properties

### LastKey

    public string? LastKey { get; }

#### Property Value

string

### WasCalled

    public bool WasCalled { get; }

#### Property Value

bool